org.jboss.resteasy.security.doseta

## Class DigitalVerificationHeaderDecoratorClientExecutionInterceptor

- java.lang.Object
- - org.jboss.resteasy.security.doseta.AbstractDigitalVerificationHeaderDecorator
  - - org.jboss.resteasy.security.doseta.DigitalVerificationHeaderDecoratorClientExecutionInterceptor

- All Implemented Interfaces:
    AcceptedByMethod, ClientExecutionInterceptor

      @Provider
      public class DigitalVerificationHeaderDecoratorClientExecutionInterceptor
      extends AbstractDigitalVerificationHeaderDecorator
      implements ClientExecutionInterceptor, AcceptedByMethod

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.security.doseta.AbstractDigitalVerificationHeaderDecorator

      `verifications, verify`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DigitalVerificationHeaderDecoratorClientExecutionInterceptor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Class declaring, Method method)`
    `ClientResponse` | `execute(ClientExecutionContext ctx)`

    - ### Methods inherited from class org.jboss.resteasy.security.doseta.AbstractDigitalVerificationHeaderDecorator

      `create, createVerification`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DigitalVerificationHeaderDecoratorClientExecutionInterceptor

          public DigitalVerificationHeaderDecoratorClientExecutionInterceptor()

  - ### Method Detail

    - #### accept

          public boolean accept(Class declaring,
                       Method method)

      Specified by:
        `accept` in interface `AcceptedByMethod`

    - #### execute

          public ClientResponse execute(ClientExecutionContext ctx)
                                 throws Exception

      Specified by:
        `execute` in interface `ClientExecutionInterceptor`
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.